Cyberduck Mountain Duck CLI

#8421 closed enhancement (fixed)

Change storage class for all objects in a folder

Reported by: cdwilson Owned by: dkocher
Priority: normal Milestone: 4.6.2
Component: s3 Version: 4.6
Severity: normal Keywords:
Cc: cwilson@… Architecture:
Platform:

Description

I can't find a way to bulk change the storage class for all objects in a folder within an S3 bucket.

I currently back up my files to S3 and I have a lifecycle rule that automatically moves them to Glacier storage class ASAP (0 days). I would like to be able to restore my files using Cyberduck, but Amazon requires that the files are restored to the S3 storage class before they can be accessed.

I'd like to be able to right click a folder in Cyberduck, choose Info, and have an option to change the storage class of all objects in the folder (recursively).

Change History (6)

comment:1 Changed on Dec 12, 2014 at 8:41:29 PM by dkocher

  • Milestone set to 4.7
  • Status changed from new to assigned
  • Summary changed from Change Amazon S3 storage class for all objects in a folder to Change storage class for all objects in a folder

comment:2 Changed on Jan 14, 2015 at 7:07:01 PM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r16463.

comment:3 Changed on Jan 15, 2015 at 9:52:40 AM by dkocher

  • Milestone changed from 4.7 to 4.6.2

comment:4 follow-up: Changed on Jan 21, 2015 at 6:57:23 PM by cdwilson

I downloaded Version 4.6.3 (16490) but I can't figure out how to use the change in r16463 to restore a folder recursively and restore all files in the folder from the Glacier storage class back into the normal S3 storage class. Can you provide me with a quick tutorial on how to use the GUI to achieve this?

comment:5 Changed on Feb 16, 2015 at 11:58:30 PM by cdwilson

  • Cc cwilson@… added

comment:6 in reply to: ↑ 4 Changed on Feb 17, 2015 at 11:22:29 AM by dkocher

Replying to cdwilson:

I downloaded Version 4.6.3 (16490) but I can't figure out how to use the change in r16463 to restore a folder recursively and restore all files in the folder from the Glacier storage class back into the normal S3 storage class. Can you provide me with a quick tutorial on how to use the GUI to achieve this?

We do not support creating retrieval jobs to get objects back from Glacier into S3 as they

typically complete within 3-5 hours

only. Please refer to Data Retrieval in the Amazon Glacier FAQ.

Note: See TracTickets for help on using tickets.
swiss made software